﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using MigrationProjectForBLPFS.Context;

namespace MigrationProjectForBLPFS.Migrations
{
    [DbContext(typeof(PFSContext))]
    partial class PFSContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.11-servicing-32099");

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Courier", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("Deleted");

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("Courier");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Equipment", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("Deleted")
                        .ValueGeneratedOnAdd()
                        .HasDefaultValue(false);

                    b.Property<int>("EUSTTypeId");

                    b.Property<string>("Name");

                    b.Property<int>("PremiseId");

                    b.Property<int>("PropertyId");

                    b.Property<string>("Status");

                    b.HasKey("Id");

                    b.HasIndex("PremiseId");

                    b.HasIndex("PropertyId");

                    b.ToTable("Equipment");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.EquipmentAssignment", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<DateTime>("AssingTimeUTC");

                    b.Property<DateTime>("DeAssingTimeUTC");

                    b.Property<bool>("Deleted")
                        .ValueGeneratedOnAdd()
                        .HasDefaultValue(false);

                    b.Property<int>("EquipmentId");

                    b.Property<int>("PremiseId");

                    b.Property<int>("PropertyId");

                    b.Property<string>("Status");

                    b.HasKey("Id");

                    b.HasIndex("EquipmentId");

                    b.HasIndex("PremiseId");

                    b.HasIndex("PropertyId");

                    b.ToTable("EquipmentAssignment");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.EquipmentSpecification", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("Deleted")
                        .ValueGeneratedOnAdd()
                        .HasDefaultValue(false);

                    b.Property<int>("EquipmentId");

                    b.Property<int>("SpecificationId");

                    b.Property<double>("Value");

                    b.HasKey("Id");

                    b.HasIndex("EquipmentId");

                    b.HasIndex("SpecificationId");

                    b.ToTable("EquipmentSpecification");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Premise", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.HasKey("Id");

                    b.ToTable("Premise");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Property", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.HasKey("Id");

                    b.ToTable("Property");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Specification", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("Deleted")
                        .ValueGeneratedOnAdd()
                        .HasDefaultValue(false);

                    b.Property<int>("EUSTTypeId");

                    b.Property<string>("SpecificationName");

                    b.Property<string>("Unit");

                    b.HasKey("Id");

                    b.ToTable("Specification");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Zone", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<bool>("Deleted");

                    b.Property<string>("Name");

                    b.HasKey("Id");

                    b.ToTable("Zone");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.ZoneCourier", b =>
                {
                    b.Property<int>("Id");

                    b.Property<int>("ZoneId");

                    b.Property<int>("CourierId");

                    b.Property<string>("Address");

                    b.Property<double>("Charge");

                    b.Property<bool>("Deleted");

                    b.Property<int>("Number");

                    b.Property<int>("SLA");

                    b.HasKey("Id", "ZoneId", "CourierId");

                    b.HasIndex("CourierId");

                    b.HasIndex("ZoneId");

                    b.ToTable("ZoneCourier");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.SequenceTracker", b =>
                {
                    b.Property<int>("id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name");

                    b.HasKey("id");

                    b.ToTable("SequenceTrackers");
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.Equipment", b =>
                {
                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Premise", "Premise")
                        .WithMany("Equipments")
                        .HasForeignKey("PremiseId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Property", "Property")
                        .WithMany("Equipments")
                        .HasForeignKey("PropertyId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.EquipmentAssignment", b =>
                {
                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Equipment", "Equipment")
                        .WithMany("EquipmentAssignments")
                        .HasForeignKey("EquipmentId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Premise", "Premise")
                        .WithMany("EquipmentAssignments")
                        .HasForeignKey("PremiseId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Property", "Property")
                        .WithMany("EquipmentAssignments")
                        .HasForeignKey("PropertyId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.EquipmentSpecification", b =>
                {
                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Equipment", "Equipment")
                        .WithMany("EquipmentSpecifications")
                        .HasForeignKey("EquipmentId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Specification", "Specification")
                        .WithMany("EquipmentSpecifications")
                        .HasForeignKey("SpecificationId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("MigrationProjectForBLPFS.Context.Model.ZoneCourier", b =>
                {
                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Courier", "Courier")
                        .WithMany("ZoneCouriers")
                        .HasForeignKey("CourierId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("MigrationProjectForBLPFS.Context.Model.Zone", "Zone")
                        .WithMany("ZoneCouriers")
                        .HasForeignKey("ZoneId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
